Bug 947426 - [abrt] poppler-utils-0.20.2-11.fc18: getDict: Process /usr/bin/pdftotext was killed by signal 6 (SIGABRT)
Summary: [abrt] poppler-utils-0.20.2-11.fc18: getDict: Process /usr/bin/pdftotext was ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c348c6d000e4bbae17bd03930d4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-02 11:41 UTC by Marek Kašík
Modified: 2013-04-08 22:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 22:53:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.19 KB, text/plain)
2013-04-02 11:41 UTC, Marek Kašík
no flags Details
File: cgroup (129 bytes, text/plain)
2013-04-02 11:41 UTC, Marek Kašík
no flags Details
File: core_backtrace (2.31 KB, text/plain)
2013-04-02 11:41 UTC, Marek Kašík
no flags Details
File: dso_list (1.35 KB, text/plain)
2013-04-02 11:41 UTC, Marek Kašík
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-02 11:41 UTC, Marek Kašík
no flags Details
File: maps (6.91 KB, text/plain)
2013-04-02 11:41 UTC, Marek Kašík
no flags Details
File: open_fds (275 bytes, text/plain)
2013-04-02 11:42 UTC, Marek Kašík
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-04-02 11:42 UTC, Marek Kašík
no flags Details
File: var_log_messages (450 bytes, text/plain)
2013-04-02 11:42 UTC, Marek Kašík
no flags Details

Description Marek Kašík 2013-04-02 11:41:43 UTC
Description of problem:
I just followed instructions for the first problem on http://lists.freedesktop.org/archives/poppler/2012-October/009631.html.
I've been trying to reproduce this problem: https://retrace.fedoraproject.org/faf/problems/589949/.

Version-Release number of selected component:
poppler-utils-0.20.2-11.fc18

Additional info:
backtrace_rating: 4
cmdline:        pdftotext WebToDB-filled.pdf
crash_function: getDict
executable:     /usr/bin/pdftotext
kernel:         3.8.3-201.fc18.x86_64
uid:            2019
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 getDict at Object.h:198
 #3 FormFieldChoice::FormFieldChoice at Form.cc:1042
 #4 Form::createFieldFromDict at Form.cc:1440
 #5 Form::Form at Form.cc:1365
 #6 Catalog::getForm at Catalog.cc:871
 #7 Annots::createAnnot at Annot.cc:6520
 #8 Annots::Annots at Annot.cc:6431
 #9 Page::getAnnots at Page.cc:351
 #10 Page::displaySlice at Page.cc:529
 #11 Page::display at Page.cc:450

Comment 1 Marek Kašík 2013-04-02 11:41:46 UTC
Created attachment 730710 [details]
File: backtrace

Comment 2 Marek Kašík 2013-04-02 11:41:49 UTC
Created attachment 730711 [details]
File: cgroup

Comment 3 Marek Kašík 2013-04-02 11:41:51 UTC
Created attachment 730712 [details]
File: core_backtrace

Comment 4 Marek Kašík 2013-04-02 11:41:53 UTC
Created attachment 730713 [details]
File: dso_list

Comment 5 Marek Kašík 2013-04-02 11:41:55 UTC
Created attachment 730714 [details]
File: limits

Comment 6 Marek Kašík 2013-04-02 11:41:57 UTC
Created attachment 730715 [details]
File: maps

Comment 7 Marek Kašík 2013-04-02 11:42:00 UTC
Created attachment 730716 [details]
File: open_fds

Comment 8 Marek Kašík 2013-04-02 11:42:02 UTC
Created attachment 730717 [details]
File: proc_pid_status

Comment 9 Marek Kašík 2013-04-02 11:42:04 UTC
Created attachment 730718 [details]
File: var_log_messages

Comment 10 Fedora Update System 2013-04-02 12:26:53 UTC
poppler-0.20.2-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/poppler-0.20.2-15.fc18

Comment 11 Fedora Update System 2013-04-03 04:45:48 UTC
Package poppler-0.20.2-15.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poppler-0.20.2-15.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4732/poppler-0.20.2-15.fc18
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-04-08 22:53:53 UTC
poppler-0.20.2-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.